From 770b3ad9da7edd0c62e348989ac09c514c0591ca Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jul 26 2016 14:09:46 +0000
Subject: [PATCH 577/1001] Fix the validator used in the fedorahosted widget


---

diff --git a/hubs/validators.py b/hubs/validators.py
index 791f3fe..c0385d3 100755
--- a/hubs/validators.py
+++ b/hubs/validators.py
@@ -27,7 +27,7 @@ def username(session, value):
 
 def github_organization(session, value):
     # TODO -- implement this.
-    return True
+    return value
 
 
 def fmn_context(session, value):
@@ -39,3 +39,7 @@ def fmn_context(session, value):
 
 def pagure_repo(session, value):
     return value
+
+def fedorahosted_project(session, value):
+    # TODO -- implement this.
+    return value
diff --git a/hubs/widgets/fhosted.py b/hubs/widgets/fhosted.py
index 0c08928..6a54827 100644
--- a/hubs/widgets/fhosted.py
+++ b/hubs/widgets/fhosted.py
@@ -14,7 +14,7 @@ from xmlrpclib import ServerProxy
 
 @argument(name="project",
           default=None,
-          validator=validators.github_organization,
+          validator=validators.fedorahosted_project,
           help="Name of the trac instance on fedorahosted.org")
 @argument(name="n_tickets",
           default=4,

